GET /networks/{networkId}/clients/usageHistories
Operation ID: getNetworkClientsUsageHistories
Auth: unknown
Description
Return the usage histories for clients. Usage data is in kilobytes. Clients can be identified by client keys or either the MACs or IPs depending on whether the network uses Track-by-IP.
Parameters (9)
(string, query, required)
A list of client keys, MACs or IPs separated by comma.
(string, query, optional)
A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.
(string, path, required)
(integer, query, optional)
The number of entries per page returned. Acceptable range is 3 - 1000.
(integer, query, optional)
An SSID number to include. If not specified, events for all SSIDs will be returned.
Constraints: {'enum': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]}
(string, query, optional)
A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.
(string, query, optional)
The beginning of the timespan for the data. The maximum lookback period is 31 days from today.
(string, query, optional)
The end of the timespan for the data. t1 can be a maximum of 31 days after t0.
(number, query, optional)
The timespan for which the information will be fetched. If specifying timespan, do not specify parameters t0 and t1. The value must be in seconds and be less than or equal to 31 days. The default is 1 day.
No probe data for this endpoint yet.